commit: 0e457e5782ac264f664c437fb38c5db97568ec1d
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 28 09:40:54 2018 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Jan 28 12:54:31 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e457e57
dev-python/catkin_pkg: bump to 0.4.1
Package-Manager: Portage-2.3.20, Repoman-2.3.6
dev-python/catkin_pkg/Manifest | 1 +
dev-python/catkin_pkg/catkin_pkg-0.4.1.ebuild | 46 +++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/catkin_pkg/Manifest b/dev-python/catkin_pkg/Manifest
index 905762dde6f..bdeeb5ed96a 100644
--- a/dev-python/catkin_pkg/Manifest
+++ b/dev-python/catkin_pkg/Manifest
@@ -1 +1,2 @@
DIST catkin_pkg-0.3.9-gh.tar.gz 48290 BLAKE2B
fbba89008946433007f1016addeb73e44108b057609d52d693e80024460c5d77686bde241331845d36068b23e87a4ac33dcc0c6c29af95c4e86e8a30bbe52918
SHA512
39c7dbd7b3bb7d0fd7f37e6931e5de8c76c28ca329db5783d1cf0b01e9a7f58079c45434d937a8edcf29cbdebdcfb4b18480508d688dcefdf58c218838af65c8
+DIST catkin_pkg-0.4.1-gh.tar.gz 50886 BLAKE2B
03a5205271fd3f12e4a3bcd093d8e1811d3a1e3197292004e9dd4e255fa10741fdb90a754df4a1fd6705f305e524413cdb7a8dc9f5174a162a20ffa95cfc3b2e
SHA512
d7802bbfd0187f1411d36fbecca2afa43dc55f54441a6e0ddc54c2153bf1c553cfa76e5a3d1d08a92fe765c530d1668a762eaaf45e1f68b61c2cf6d1ec49e4a7
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.1.ebuild
b/dev-python/catkin_pkg/catkin_pkg-0.4.1.ebuild
new file mode 100644
index 00000000000..0d20a2330bb
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+
SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz
-> ${P}-gh.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? ( dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}] )
+"
+PATCHES=(
+ "${FILESDIR}/catkin_prefix.patch"
+ "${FILESDIR}/argparse.patch"
+ "${FILESDIR}/ros_packages.patch"
+ "${FILESDIR}/infinite_loop2.patch"
+)
+
+python_test() {
+ nosetests -s --tests test || die
+}